Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1223 closed enhancement (fixed)

Add Thread Queue Requeueing when Thread Priority is Changed

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 4.8
Component: score Version: 4.8
Severity: minor Keywords:
Cc: johan.zandin@… Blocked By:
Blocking:

Description

The attached patch ensures that when a blocked thread's priority is changed, that its new priority is used for the current blocking operation. Effectively, this means that if the thread is blocked on a priority based thread queue, then it is resorted.

Attachments (1)

requeue.diff (58.2 KB) - added by Joel Sherrill on 03/05/07 at 19:58:43.
Add requeuing capabilit

Download all attachments as: .zip

Change History (3)

Changed on 03/05/07 at 19:58:43 by Joel Sherrill

Attachment: requeue.diff added

Add requeuing capabilit

comment:1 Changed on 03/10/07 at 14:23:49 by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:2 Changed on 05/02/07 at 13:22:03 by Johan Zandin

Cc: Johan Zandin added

Patch 481 for this bug introduced bug 1241.

Note: See TracTickets for help on using tickets.